Summary:	A very flexible unit converter
Name:		convertall
Version:	0.8.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://convertall.bellz.org
Source0:	https://sourceforge.net/projects/convertall/files/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
# from Debian
Source2:	%{name}.1
BuildRequires:	librsvg
BuildRequires:	python3-qt5-devel
BuildRequires:	python3-sip-devel
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
BuildArch:	noarch

%description
With ConvertAll, you can convert any unit in the large database to any other
compatible unit. If you want to convert from inches per decade, that's fine.
Or from meter-pounds. Or from cubic nautical miles. The units don't have to
make sense to anyone else.

%prep
%setup -qn ConvertAll

%build
# nothing

%install
%__python3 install.py \
	-p %{_prefix} \
	-b %{buildroot} \
	-i %{_datadir}/%{name}/icons \
	-d %{_docdir}/%{name}

# install menu entry
install -Dm 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# install menu icons
for s in 256 128 96 48 32 22 16 ; do
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
rsvg-convert -w ${s} -h ${s} \
    icons/%{name}-icon.svg -o \
    %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/%{name}.png
done
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 0644 icons/%{name}-icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# install man page
install -Dm 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1

# remove unneeded files
rm -rf %{buildroot}%{_docdir}/%{name}/INSTALL
rm -rf %{buildroot}%{_docdir}/%{name}/LICENSE
rm -rf %{buildroot}%{_datadir}/%{name}/translations/*.ts
rm -rf %{buildroot}%{_datadir}/%{name}/%{name}.pro
rm -rf %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_docdir}/%{name}


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1845928
- Mageia 9 Mass Rebuild

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 0.8.0-1.mga9
+ Revision: 1768335
- version 0.8.0
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.7.5-3.mga8
+ Revision: 1501349
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.7.5-2.mga7
+ Revision: 1277814
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 daviddavid <daviddavid> 0.7.5-1.mga7
+ Revision: 1242631
- new version: 0.7.5

* Sat Mar 24 2018 kekepower <kekepower> 0.7.3-1.mga7
+ Revision: 1211905
- Update to version 0.7.3
- BR PyQt5
- Removed old patches

* Sat Feb 20 2016 umeabot <umeabot> 0.6.1-2.mga6
+ Revision: 972453
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 0.6.1-1.mga6
+ Revision: 897879
- version 0.6.1
- del upstreamed stuff
- rediff/update patches
- install svg icon

* Sat Jan 17 2015 alexl <alexl> 0.6.0-1.mga5
+ Revision: 811150
- add man page
- fix rpmlint warning about inconsistent mtime in python bytecode (convertall.pyc)
- add br python3-sip
- install docs in docdir
- add missing qt_ru.qm
- remove unneeded files
- add translations in desktop file
- imported package convertall

